Skip to main content
PUT
Transient update of user settings in fields format

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

action
enum<string>

Action that should be performed on PUT request

addTemporaryApprover - will add a new field group with all necessary fields for setting new temporary approver. This parameter has to go in combination with parameter afterIndex.

removeTemporaryApprover - will remove specified temporary approver from provided list. This parameter has to go in combination with parameter atIndex.

Available options:
addTemporaryApprover,
removeTemporaryApprover
atIndex
integer

Index of group which should be removed from list of temporary users. This parameter goes together with action=removeTemporaryApprover

afterIndex
integer

Index after which new temporary approver group of fields should be added. This parameter goes together with action=addTemporaryApprover

Body

application/json

Fields format for person settings

fields
object[]

Field-builder array describing the user-profile editable values. Each entry pairs a property name with a value and any errors.

Response

OK

Fields format for person settings

meta
object
read-only
fields
object[]

Field-builder array describing the user-profile editable values. Each entry pairs a property name with a value and any errors.

Last modified on August 31, 2026